Bug 638948 - Review Request: erlang-getopt - Erlang module to parse command line arguments using the GNU getopt syntax
Review Request: erlang-getopt - Erlang module to parse command line arguments...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathaniel McCallum
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 639263
  Show dependency treegraph
 
Reported: 2010-09-30 09:24 EDT by Peter Lemenkov
Modified: 2010-10-25 12:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-getopt-0.3-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 10:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nathaniel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-09-30 09:24:00 EDT
Spec URL: http://peter.fedorapeople.org/erlang-getopt.spec
SRPM URL: http://peter.fedorapeople.org/erlang-getopt-0.3-1.fc12.src.rpm
Description: Command-line parsing module that uses a syntax similar to that of GNU getopt.

This is one of the dependencies for rebar.

Koji scratchbuild for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2503572

rpmlint messages:
Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-getopt-0.3-1.fc12.ppc.rpm 
erlang-getopt.ppc: E: no-binary
erlang-getopt.ppc: W: only-non-binary-in-usr-lib
erlang-getopt.ppc: W: spurious-executable-perm /usr/share/doc/erlang-getopt-0.3/examples/ex1.escript
erlang-getopt.ppc: W: spurious-executable-perm /usr/share/doc/erlang-getopt-0.3/examples/rebar_test.escript
erlang-getopt.ppc: W: doc-file-dependency /usr/share/doc/erlang-getopt-0.3/examples/ex1.escript /usr/bin/env
erlang-getopt.ppc: W: doc-file-dependency /usr/share/doc/erlang-getopt-0.3/examples/rebar_test.escript /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 5 warnings.
Sulaco ~/rpmbuild/SPECS: 

The first two messages are common for all erlang packages which are containing only beam-files (binary loading modules for Erlang VM) - they must be installed into arch-dependent directory. The rest of messages are about sample scripts. I have no strong feelings regarding whether they should have 644 or 755 perms. Feel free to suggest your own variant.
Comment 1 Nathaniel McCallum 2010-10-04 14:21:34 EDT
[  OK  ] specfiles match: 5d0348a502988cf7922a9a83a6d2f3cf
[  OK  ] source files match upstream: 1657e6c5d68889befcbae30cd8df805d
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[ FAIL ] license field matches the actual license.
Listed license is MIT, actual is 3-clause BSD.
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[ FAIL ] rpmlint is silent.
Example scripts should be 644, they are a form of documentation.  The should also be installed as %doc.  Does chmod'ing the scripts 644 make the doc-file-dependency go away?
[  OK  ] final provides and requires are sane
[  OK  ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[ FAIL ] file permissions are appropriate.
%doc scripts should be 644
[  OK  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  OK  ] desktop files valid and installed properly.
Comment 3 Nathaniel McCallum 2010-10-05 09:13:20 EDT
New rpmlint output:
erlang-getopt.src: W: invalid-url Source0: jcomellas-getopt-v0.3-0-g8f54692.tar.gz
erlang-getopt.x86_64: E: no-binary
erlang-getopt.x86_64: W: only-non-binary-in-usr-lib

All of these are ok.

Changing the permission on the example scripts fixed all the other warnings.

License issue fixed.

APPROVED
Comment 4 Peter Lemenkov 2010-10-05 09:18:35 EDT
New Package SCM Request
=======================
Package Name: erlang-getopt
Short Description: Erlang module to parse command line arguments using the GNU getopt syntax
Owners: peter
Branches: f12 f13 f14 el6 el5
InitialCC:
Comment 5 Jason Tibbitts 2010-10-05 09:33:48 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2010-10-05 12:13:11 EDT
erlang-getopt-0.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-getopt-0.3-2.fc13
Comment 7 Fedora Update System 2010-10-05 12:13:17 EDT
erlang-getopt-0.3-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/erlang-getopt-0.3-2.fc12
Comment 8 Fedora Update System 2010-10-05 12:13:24 EDT
erlang-getopt-0.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-getopt-0.3-2.fc14
Comment 9 Fedora Update System 2010-10-05 17:50:03 EDT
erlang-getopt-0.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-getopt'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-getopt-0.3-2.fc14
Comment 10 Fedora Update System 2010-10-06 04:21:38 EDT
erlang-getopt-0.3-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-getopt-0.3-3.el5
Comment 11 Fedora Update System 2010-10-14 10:13:05 EDT
erlang-getopt-0.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-10-19 03:09:52 EDT
erlang-getopt-0.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-10-19 03:10:30 EDT
erlang-getopt-0.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-10-25 12:33:57 EDT
erlang-getopt-0.3-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.